Bug 957436 - Review Request: lookat - A user-friendly text file viewer
Summary: Review Request: lookat - A user-friendly text file viewer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-28 07:09 UTC by Christopher Meng
Modified: 2013-05-23 12:33 UTC (History)
3 users (show)

Fixed In Version: lookat-1.4.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-23 12:33:35 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2013-04-28 07:09:17 UTC
Spec URL: http://cicku.me/lookat.spec
SRPM URL: http://cicku.me/lookat-1.4.2-1.fc20.src.rpm
Description: lookat is a program to view text files and manual pages. It is designed to be
more user-friendly than more conventional text viewers such as less. 
Fedora Account System Username: cicku

Comment 1 Christopher Meng 2013-04-30 05:30:53 UTC
Koji success:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5316638

Comment 2 Petr Šabata 2013-04-30 13:43:47 UTC
Ok, here we go:

1. Summary -- you don't have to capitalize every word; in fact, you shouldn't.  Change it to something like "A user-friendly text file viewer".

2. %description -- substitute "lookat" with %{name}.

3. Build-time dependencies:
  - glibc-devel is not used at all, remove it,
  - the same applies to libtool,
  - and pkgconfig too.

4. License -- FSF address stated in COPYING and all of the source files (*.[ch]) is outdated.  Please, ask upstream to fix this in the next release.  The current license is available here:
https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt

5. Upstream build scripts don't provide support for aarch64.  Please, run 'autoreconf -fiv' in the beginning of your %build section (or in %prep if you prefer) to fix this.

6. There's no need to define prefix, sysconfdir, or mandir.  Just call plain '%configure' and watch the magic happen.

Comment 3 Christopher Meng 2013-05-01 02:07:33 UTC
(In reply to comment #2)
> 1. Summary -- you don't have to capitalize every word; in fact, you
> shouldn't.  Change it to something like "A user-friendly text file viewer".

This is a copy and paste error, fixed.

> 2. %description -- substitute "lookat" with %{name}.

Well I never do this in my packages' %description section, I think it's a bit ugly...

Is it a MUST or SHOULD?

> 3. Build-time dependencies:
>   - glibc-devel is not used at all, remove it,
>   - the same applies to libtool,
>   - and pkgconfig too.

Fixed.

> 4. License -- FSF address stated in COPYING and all of the source files
> (*.[ch]) is outdated.  Please, ask upstream to fix this in the next release.
> The current license is available here:
> https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt

Waiting upstream.

> 5. Upstream build scripts don't provide support for aarch64.  Please, run
> 'autoreconf -fiv' in the beginning of your %build section (or in %prep if
> you prefer) to fix this.

Fixed, but there are no docs around currently. Where can I get detailed information to prevent things happen again?

> 6. There's no need to define prefix, sysconfdir, or mandir.  Just call plain
> '%configure' and watch the magic happen.

Fixed.

Comment 4 Petr Šabata 2013-05-02 08:00:48 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > 1. Summary -- you don't have to capitalize every word; in fact, you
> > shouldn't.  Change it to something like "A user-friendly text file viewer".
> 
> This is a copy and paste error, fixed.

Ack.

> > 2. %description -- substitute "lookat" with %{name}.
> 
> Well I never do this in my packages' %description section, I think it's a
> bit ugly...
> 
> Is it a MUST or SHOULD?

There's no hard rule for this but it's commonly discouraged to repeat the package name in summary and description.  Using %{name} there is pretty much a matter of style.  If you really don't want it, the don't change anything.

Not a blocker.

> > 3. Build-time dependencies:
> >   - glibc-devel is not used at all, remove it,
> >   - the same applies to libtool,
> >   - and pkgconfig too.
> 
> Fixed.

Ack.

> > 4. License -- FSF address stated in COPYING and all of the source files
> > (*.[ch]) is outdated.  Please, ask upstream to fix this in the next release.
> > The current license is available here:
> > https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
> 
> Waiting upstream.

Ok.

Not a blocker.

> > 5. Upstream build scripts don't provide support for aarch64.  Please, run
> > 'autoreconf -fiv' in the beginning of your %build section (or in %prep if
> > you prefer) to fix this.
> 
> Fixed, but there are no docs around currently. Where can I get detailed
> information to prevent things happen again?

There are no guidelines for this yet, I believe, however this was discussed on Fedora development list in February and March this year.  I'd give you links but lists.fedoraproject.org seems to be down at the moment.

Briefly: check if the build files contain 'aarch64'; if they don't, they need to be regenerated with autoconf-2.69+

> > 6. There's no need to define prefix, sysconfdir, or mandir.  Just call plain
> > '%configure' and watch the magic happen.
> 
> Fixed.

Ack.

---

Alright, approving.

I also see Ken has sponsored you already (bug #947071#11), hence I'm removing the NEEDSPONSOR depedency.  Please, do that in the rest of your reviews.

You may now submit the SCM request.

Comment 5 Christopher Meng 2013-05-03 02:04:45 UTC
New Package SCM Request
=======================
Package Name: lookat
Short Description: A user-friendly text file viewer
Owners: cicku
Branches: f18 f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-05-07 16:36:38 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-05-08 13:33:36 UTC
lookat-1.4.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lookat-1.4.2-1.fc18

Comment 8 Fedora Update System 2013-05-09 09:58:20 UTC
lookat-1.4.2-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-05-23 12:33:35 UTC
lookat-1.4.2-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.